package com.caimei365.manager.dao;

import com.caimei365.manager.entity.wechat.WechatMenu;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/1/5
 */
@Mapper
public interface WeChatDao {
    /**
     * 获取微信公众号菜单列表
     * @param parentId 父级ID
     * @param wxType   微信公众号ID
     */
    List<WechatMenu> getWechatMenuList(Integer parentId, String wxType);
    /**
     * 根据ID获取微信公众号菜单
     */
    WechatMenu getWechatMenu(Integer id);
    /**
     * 根据ID更新微信公众号菜单
     */
    void updateWechatMenu(WechatMenu menu);
    /**
     * 添加微信公众号菜单
     */
    void insertWechatMenu(WechatMenu menu);
    /**
     * 根据ID删除微信公众号菜单
     */
    void deleteWechatMenu(Integer id);
    /**
     * 根据父级Id统计同级别菜单数量
     * @param parentId 父级ID
     */
    Integer countChildByParentId(Integer parentId);
}
